package com.philisense.www.service.impl;


import com.philisense.www.dao.ProUserGroupDAO;
import com.philisense.www.service.ProUserGroupService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.util.List;
import java.util.Map;

@Service
public class ProUserGroupServiceImpl implements ProUserGroupService {

@Autowired
private ProUserGroupDAO proUserGroupDAO;

@Override
public int deleteByPrimaryKey(String id) {
return proUserGroupDAO.deleteByPrimaryKey(id);
}

@Override
public Map<String, Object> selectByPrimaryKey(String id) {
return proUserGroupDAO.selectByPrimaryKey(id);
}

@Override
public int insert(Map<String, Object> map) {
return proUserGroupDAO.insert(map);
}

@Override
public int update(Map<String, Object> map) {
return proUserGroupDAO.update(map);
}

@Override
public int deleteByMap(Map<String, Object> map) {
return proUserGroupDAO.deleteByMap(map);
}

@Override
public int updateByMap(Map<String, Object> map) {
return proUserGroupDAO.updateByMap(map);
}

@Override
public Map<String, Object> getOne(Map<String, Object> map) {
return proUserGroupDAO.getOne(map);
}

@Override
public List<Map<String, Object>> getAll(Map<String, Object> map) {
return proUserGroupDAO.getAll(map);
}

@Override
public List<Map<String, Object>> queryPage(Map<String, Object> map) {
return proUserGroupDAO.queryPage(map);
}

@Override
public int count(Map<String, Object> map) {
return proUserGroupDAO.count(map);
}

@Override
public void insertBatch(List<Map<String, Object>> list) {
proUserGroupDAO.insertBatch(list);
}

@Override
public void deleteBatch(List<Map<String, Object>> list) {
proUserGroupDAO.deleteBatch(list);
}

@Override
public void updateBatch(List<Map<String, Object>> list) {
proUserGroupDAO.updateBatch(list);
}

    @Override
    public List<Map<String, Object>> getPageProUserByGroupId(Map<String, Object> map) {
        return proUserGroupDAO.getPageProUserByGroupId(map);
    }

    @Override
    public int getCountProUserByGroupId(Map<String, Object> map) {
        return proUserGroupDAO.getCountProUserByGroupId(map);
    }

    @Override
    public List<Map<String, Object>> getAllProUserByGroupId(Map<String, Object> map) {
        return proUserGroupDAO.getAllProUserByGroupId(map);
    }
}